# web v1.3.0

`web` 1.3.0 brings many new improvements and fixes to improve user experience.

## What's new?

### Additions

- New "Legal" page (`/legal`) for better organization
- Added more "Quick Links" buttons
- Telegram support card
- Infrastructure card on the "Updates" page
- Introduction of Nextcloud service
- Support for deleting user accounts via dashboard
  - Supports internal DB and Nextcloud only, for now
- Basic automatic security scan implemented

### Updates

- [Altcha](https://altcha.org) will be used for CAPTCHAs instead of Cloudflare Turnstile
- Monthly cost updates on "Updates" page

### Improvements

- UI tweaks and fixes
  - Password change flow
  - Sidebar is now easier to use on all device types
  - More synchronized design
- Additional animations
- Better session checking
- Linting

### Fixes

- Fixed [#5 - Clean up signup page](https://git.pontusmail.org/librecloud/web/issues/5)
- Fixed [#6 - Correct light/dark mode on public-facing pages](https://git.pontusmail.org/librecloud/web/issues/6)
- Fixed [#7 - Prefer Altcha over Cloudflare Turnstile](https://git.pontusmail.org/librecloud/web/issues/7)

## Screenshots

![LibreCloud Dashboard (v1.3.0)](https://git.pontusmail.org/librecloud/web/raw/branch/main/docs/img/1.3.0-1.png)

![LibreCloud Automatic Security Scan feature (v1.3.0)](https://git.pontusmail.org/librecloud/web/raw/branch/main/docs/img/1.3.0-2.png)

![LibreCloud's Statistics page (v1.3.0)](https://git.pontusmail.org/librecloud/web/raw/branch/main/docs/img/1.3.0-3.png)

![LibreCloud's Settings page (v1.3.0)](https://git.pontusmail.org/librecloud/web/raw/branch/main/docs/img/1.3.0-4.png)
